/**
 * page
 * @author Tevin
 */

<template>
    <view
        class="c-page"
        @tap="evt=>onClick(evt)"
        @touchstart="evt=>onTouchstart(evt)"
    >
        <slot />
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import './cPage.scss';

export default {
    name: 'CPage',
    methods: {
        onClick(evt) {
            Taro.eventCenter.trigger('pageClick', evt);
        },
        onTouchstart(evt) {
            Taro.eventCenter.trigger('pageTouchstart', evt);
        },
    },
};
</script>